require 'test_helper'

class TestLinkScraper < Test::Unit::TestCase
  def setup
    @scraper = Spieker::LinkScraper.new('http://supersimple.st.tolq.com')
  end

  def test_apphost
    assert_equal 'http://supersimple.st.tolq.com', @scraper.app_host
  end

  def test_result
    #assert @scraper.result.any?
  end

  def test_filter_local
    found_links = [
      'http://supersimple.st.tolq.com/local',
      '/local',
      '/local#justahash',
      '#justahash',
      'http://www.remote.com',
      'mailto:timonv@gmail.com',
      'javascript',
      'pdf'
    ]
    expected_links = [
      'http://supersimple.st.tolq.com/local',
      '/local',
      ''
    ]

    @scraper.links = found_links
    assert_equal expected_links, @scraper.result
  end
end
