require 'test_helper'

class TestLinkValidator < Test::Unit::TestCase
  def is_valid?(link)
    @validator = Spieker::LinkValidator.new(link, 'http://www.google.com').valid?
  end

  def test_normal_local_link
    [
    'http://www.google.com/local',
      '/local',
      ''
    ].each do |link|
      assert is_valid?(link), "Expected #{link} to be valid"
    end
  end

  def test_email
    assert !is_valid?('mailto:timonv@gmail.com')
  end

  def test_javascript
    assert !is_valid?('javascript')
  end

  def test_pdf
    assert !is_valid?('pdf')
  end

  def test_data
    assert !is_valid?('data')
  end
end
